import request from '@/utils/request'

// 查询资产出库列表
export function listOut(query) {
  return request({
    url: '/assets/out/list',
    method: 'get',
    params: query
  })
}

// 查询资产出库详细
export function getOut(aId) {
  return request({
    url: '/assets/out/' + aId,
    method: 'get'
  })
}

// 新增资产出库
export function addOut(data) {
  return request({
    url: '/assets/out',
    method: 'post',
    data: data
  })
}

// 提交审核
export function commit(aId,processId) {
  return request({
    url: '/assets/out/commit/'+aId+'/'+processId,
    method: 'post',
  })
}

// 提交审核
export function recommit(data) {
  return request({
    url: '/assets/out/recommit',
    method: 'post',
    data: data
  })
}

// 修改资产出库
export function updateOut(data) {
  return request({
    url: '/assets/out',
    method: 'put',
    data: data
  })
}

// 删除资产出库
export function delOut(aId) {
  return request({
    url: '/assets/out/' + aId,
    method: 'delete'
  })
}

// 导出资产出库
export function exportOut(query) {
  return request({
    url: '/assets/out/export',
    method: 'get',
    params: query
  })
}
